<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::kwd::test::MockKeyWordDetector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">kwd</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html">MockKeyWordDetector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::kwd::test::MockKeyWordDetector Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::kwd::test::MockKeyWordDetector:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_inherit__map" id="alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html" title="alexaClientSDK::kwd\l::AbstractKeywordDetector" alt="" coords="13,5,193,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::kwd::test::MockKeyWordDetector:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_coll__map" id="alexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html" title="alexaClientSDK::kwd\l::AbstractKeywordDetector" alt="" coords="13,5,193,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1af30c27371fddc81dd344953edb7f8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html#a1af30c27371fddc81dd344953edb7f8a">sendKeyWordCallToObservers</a> ()</td></tr>
<tr class="separator:a1af30c27371fddc81dd344953edb7f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a26b9c069fc4c8d4b2ec218e2293c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html#af4a26b9c069fc4c8d4b2ec218e2293c6">sendStateChangeCallObservers</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface::KeyWordDetectorState</a> state)</td></tr>
<tr class="separator:af4a26b9c069fc4c8d4b2ec218e2293c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td></tr>
<tr class="memitem:a1a9cc2ed3fb633520d9acc8a8b6556ab inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a1a9cc2ed3fb633520d9acc8a8b6556ab">addKeyWordObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">avsCommon::sdkInterfaces::KeyWordObserverInterface</a> &gt; keyWordObserver)</td></tr>
<tr class="separator:a1a9cc2ed3fb633520d9acc8a8b6556ab inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa78f5db89d60194bc1bd3f4df75c3343 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#aa78f5db89d60194bc1bd3f4df75c3343">removeKeyWordObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">avsCommon::sdkInterfaces::KeyWordObserverInterface</a> &gt; keyWordObserver)</td></tr>
<tr class="separator:aa78f5db89d60194bc1bd3f4df75c3343 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a230b155d503745874e3c8ffd899b9d inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a5a230b155d503745874e3c8ffd899b9d">addKeyWordDetectorStateObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a> &gt; keyWordDetectorStateObserver)</td></tr>
<tr class="separator:a5a230b155d503745874e3c8ffd899b9d inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ec4a7988562f95bd7ce5c244306c46 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a79ec4a7988562f95bd7ce5c244306c46">removeKeyWordDetectorStateObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a> &gt; keyWordDetectorStateObserver)</td></tr>
<tr class="separator:a79ec4a7988562f95bd7ce5c244306c46 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2519a962528142a2fa3a1d3eff606b4 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#aa2519a962528142a2fa3a1d3eff606b4">~AbstractKeywordDetector</a> ()=default</td></tr>
<tr class="separator:aa2519a962528142a2fa3a1d3eff606b4 inherit pub_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td></tr>
<tr class="memitem:a98252884637ff2246ece0ea59b4e8396 inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a98252884637ff2246ece0ea59b4e8396">AbstractKeywordDetector</a> (std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">avsCommon::sdkInterfaces::KeyWordObserverInterface</a> &gt;&gt; keyWordObservers=std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html">avsCommon::sdkInterfaces::KeyWordObserverInterface</a> &gt;&gt;(), std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a> &gt;&gt; keyWordDetectorStateObservers=std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a> &gt;&gt;())</td></tr>
<tr class="separator:a98252884637ff2246ece0ea59b4e8396 inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f0c847c62d5842c96144a15b7bf832b inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6f0c847c62d5842c96144a15b7bf832b">notifyKeyWordObservers</a> (std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt; stream, std::string keyword, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> beginIndex, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> endIndex, std::shared_ptr&lt; const std::vector&lt; char &gt;&gt; KWDMetadata=nullptr) const</td></tr>
<tr class="separator:a6f0c847c62d5842c96144a15b7bf832b inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d441867552906f2d40bfdb338056ee0 inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6d441867552906f2d40bfdb338056ee0">notifyKeyWordDetectorStateObservers</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface::KeyWordDetectorState</a> state)</td></tr>
<tr class="separator:a6d441867552906f2d40bfdb338056ee0 inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4771c4228862639ee8f274b622b2c8ef inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a4771c4228862639ee8f274b622b2c8ef">readFromStream</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html">avsCommon::avs::AudioInputStream::Reader</a> &gt; reader, std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt; stream, void *buf, size_t nWords, std::chrono::milliseconds timeout, bool *errorOccurred)</td></tr>
<tr class="separator:a4771c4228862639ee8f274b622b2c8ef inherit pro_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td></tr>
<tr class="memitem:a551aa63df26601c02ebc941422d8413a inherit pro_static_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a551aa63df26601c02ebc941422d8413a">isByteswappingRequired</a> (<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> audioFormat)</td></tr>
<tr class="separator:a551aa63df26601c02ebc941422d8413a inherit pro_static_methods_classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock Keyword Detector that inherits from KeyWordDetector. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1af30c27371fddc81dd344953edb7f8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1af30c27371fddc81dd344953edb7f8a">&#9670;&nbsp;</a></span>sendKeyWordCallToObservers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::kwd::test::MockKeyWordDetector::sendKeyWordCallToObservers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notifies all KeyWordObservers with dummy values. </p>

</div>
</div>
<a id="af4a26b9c069fc4c8d4b2ec218e2293c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4a26b9c069fc4c8d4b2ec218e2293c6">&#9670;&nbsp;</a></span>sendStateChangeCallObservers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::kwd::test::MockKeyWordDetector::sendStateChangeCallObservers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9">avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface::KeyWordDetectorState</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notifies all KeyWordDetectorStateObservers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The state to notify observers of. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/KWD/test/<a class="el" href="_abstract_keyword_detector_test_8cpp.html">AbstractKeywordDetectorTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
